Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 479830 - www-apps/drupal should depend on dev-lang/php[hash,simplexml]
Summary: www-apps/drupal should depend on dev-lang/php[hash,simplexml]
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Web Application Packages Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-05 12:24 UTC by cyberbat
Modified: 2013-11-30 05:30 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description cyberbat 2013-08-05 12:24:36 UTC
While installation drupal gives me an error, saying that this php options are required.
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2013-08-06 16:50:46 UTC
If it complains about that /during/ installation, it should be in DEPEND as well.
Comment 2 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2013-09-13 00:31:36 UTC
(In reply to cyberbat from comment #0)
> While installation drupal gives me an error, saying that this php options
> are required.

What drupal version? Please show the output you get from drupal.
FWIW, I just reinstalled php-5.5 here with USE="-hash -simplexml" and had no issue updating to or running drupal-7.23 core (added to my overlay for testing).
I suspect you may be running a module that has those PHP requirements.
Comment 3 cyberbat 2013-09-13 07:47:53 UTC
(In reply to Jorge Manuel B. S. Vicetto from comment #2)
> (In reply to cyberbat from comment #0)
> > While installation drupal gives me an error, saying that this php options
> > are required.
> 
> What drupal version? Please show the output you get from drupal.
> FWIW, I just reinstalled php-5.5 here with USE="-hash -simplexml" and had no
> issue updating to or running drupal-7.23 core (added to my overlay for
> testing).
> I suspect you may be running a module that has those PHP requirements.

I have no access to test server till tomorrow but anyway, php[hash] requirement is listed in official drupal documentation here: https://drupal.org/requirements/php

"Drupal 7

    The standard PHP extensions (enabled by default) Hash and JSON are required by Drupal 7."

About simplexml I will try to proof later.
Comment 4 cyberbat 2013-09-13 07:53:17 UTC
By the way, you can just try to 

grep -r simplexml * 

in drupal installation and get for example:
modules/openid/openid.inc:  if ($xml = simplexml_import_dom($dom)) {
Comment 5 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2013-09-19 02:39:13 UTC
(In reply to cyberbat from comment #3)
> 
> I have no access to test server till tomorrow but anyway, php[hash]
> requirement is listed in official drupal documentation here:
> https://drupal.org/requirements/php
> 
> "Drupal 7
> 
>     The standard PHP extensions (enabled by default) Hash and JSON are
> required by Drupal 7."
> 
> About simplexml I will try to proof later.

I read that page before but was able to miss that paragraph. I'll update the php deps for drupal the next time I touch drupal.
Comment 6 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2013-11-28 23:30:36 UTC
$ find /var/tmp/portage/www-apps/drupal-7.23/work/drupal-7.23/ -type f -exec grep -H simplexml {} \;
/var/tmp/portage/www-apps/drupal-7.23/work/drupal-7.23/modules/openid/openid.inc:  if ($xml = simplexml_import_dom($dom)) {
/var/tmp/portage/www-apps/drupal-7.23/work/drupal-7.23/modules/simpletest/drupal_web_test_case.php:        // It's much easier to work with simplexml than DOM, luckily enough
/var/tmp/portage/www-apps/drupal-7.23/work/drupal-7.23/modules/simpletest/drupal_web_test_case.php:        $this->elements = simplexml_import_dom($htmlDom);
/var/tmp/portage/www-apps/drupal-7.23/work/drupal-7.23/modules/simpletest/drupal_web_test_case.php:   *   http://us.php.net/manual/function.simplexml-element-xpath.php.

$ find /var/tmp/portage/www-apps/drupal-7.24/work/drupal-7.24/ -type f -exec grep -H simplexml {} \;
/var/tmp/portage/www-apps/drupal-7.24/work/drupal-7.24/modules/openid/openid.inc:  if ($xml = simplexml_import_dom($dom)) {
/var/tmp/portage/www-apps/drupal-7.24/work/drupal-7.24/modules/simpletest/drupal_web_test_case.php:        // It's much easier to work with simplexml than DOM, luckily enough
/var/tmp/portage/www-apps/drupal-7.24/work/drupal-7.24/modules/simpletest/drupal_web_test_case.php:        $this->elements = simplexml_import_dom($htmlDom);
/var/tmp/portage/www-apps/drupal-7.24/work/drupal-7.24/modules/simpletest/drupal_web_test_case.php:   *   http://us.php.net/manual/function.simplexml-element-xpath.php.

So simplexml is used by the simpletest and openid modules. I'm adding both hash and simplexml to the php dep for 7.23 and 7.24.
Comment 7 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2013-11-30 05:30:18 UTC
Fixed on 7.23 and 7.24.